<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
  final List topics = (List)(view.getRequestAttribute("topic.list"));
%>
<util:header>
  <util:title>Export Messages</util:title>
  <util:subtitle><util:escape>Conference: <conf:name/></util:escape></util:subtitle>
</util:header>

<util:form action="conf/export.js.vs" type="servlet">
  <input type="hidden" name="cc" value="<comm:ID/>" />
  <input type="hidden" name="conf" value="<conf:ID/>" />

  <div align="center"><table border="0" cellpadding="0" cellspacing="2">
    <tr><td align="left" colspan="3">
      <util:font color="content.fg" size="content"><b>Select Topics to Export:</b></util:font>
    </td></tr>
    <% for (Iterator it=topics.iterator(); it.hasNext(); ) { %>
      <% TopicContext t = (TopicContext)(it.next()); %>
      <tr>
        <td align="center">
          <input type="checkbox" name="tselect" value="<%= t.getTopicNumber() %>" checked="checked" />
        </td>
        <td align="right"><util:font color="content.fg" size="content"><%= t.getTopicNumber() %>.</util:font></td>
        <td align="left"><util:font color="content.fg" size="content">
          <util:escape><%= t.getName() %></util:escape>
        </util:font></td>
      </tr>
    <% } // end for %>
  </table></div><br />

  <div align="center">
    <util:button id="export" type="input" />&nbsp;&nbsp;<util:button id="cancel" type="input" />
  </div>

</util:form>
