<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001-2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ taglib uri="/tlds/frame" prefix="frame" %>
<%@ taglib uri="/tlds/user" prefix="user" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<frame:head/>

<frame:body>
  <util:comment>BEGIN PAGE HEADER</util:comment>
  <table class="tbar" border="0" bgcolor="<util:color name="top.bg"/>" width="100%" cellpadding="2" cellspacing="0">
    <tr valign="middle">
      <td align="left" width="20%" cellpadding="2" class="tbar">
        <util:comment>Site logo</util:comment>
	<frame:sitelogo/>
      </td>

      <td align="center" width="30%" cellpadding="2" class="tbar"><util:font color="top.fg" size="top"><b>
        <util:comment>Links to Front Page, Help, Find</util:comment>
	<util:link aclass="tbar" href="top.js.vs"
                   type="servlet"><util:font color="top.link">Front Page</util:font>
        </util:link><p />
	<util:link aclass="tbar" href="/TODO"
                   type="absolute"><util:font color="top.link">Help</util:font></util:link>
        &nbsp;|&nbsp;
	<util:link aclass="tbar" href="find.js.vs"
                   type="servlet"><util:font color="top.link">Find</util:font></util:link>
      </b></util:font></td>

      <td align="right" width="50%" cellpadding="2" class="tbar">
	<util:comment>Banner Ad</util:comment>
	<frame:banner_ad/>
      </td>
    </tr>
    <util:comment>Login reminders</util:comment>
    <tr valign="middle"><td align="center" colspan="3" class="tbar"><util:font color="top.fg" size="top">
      <user:is_logged_in>
        You are logged in as <b><util:escape><user:name/></util:escape></b>
        <frame:display_login>
          &nbsp;-&nbsp;
          <util:link aclass="tbar" href="logout.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Log Out</util:font></util:link>
          <user:is_not_verified>
            &nbsp;|&nbsp;
            <util:link aclass="tbar" href="verify_email.js.vs?tgt=${location}"
                       type="servlet"><util:font color="top.link">Verify E-Mail</util:font></util:link>
          </user:is_not_verified>
          &nbsp;|&nbsp;
          <util:link aclass="tbar" href="profile.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Profile</util:font></util:link>
        </frame:display_login>
      </user:is_logged_in>
      <user:is_not_logged_in>
        You are not logged in
        <frame:display_login>
          &nbsp;-&nbsp;
          <util:link aclass="tbar" href="login.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Log In</util:font></util:link>
          &nbsp;|&nbsp;
          <util:link aclass="tbar" href="new_account.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Create Account</util:font></util:link>
	</frame:display_login>
      </user:is_not_logged_in>
    </util:font></td></tr>
  </table>
  <util:comment>END PAGE HEADER</util:comment>

  <table border="0" width="100%" cellpadding="2" cellspacing="0">
    <tr valign="top">
      <td align="left" width="120" class="lbar" bgcolor="<util:color name="left.bg"/>">
        <table align="left" width="120" cellpadding="0" cellspacing="0">
          <util:comment>BEGIN LEFT SIDEBAR</util:comment>
	  <tr valign="top"><td align="left" class="lbar"><util:font color="left.fg" size="left">
	    <util:comment>variable menu</util:comment>
            <frame:currentmenu/>
          </util:font></td></tr>

          <tr valign="top"><td align="left">&nbsp;</td></tr>
          <tr valign="top"><td align="left" class="lbar"><util:font color="left.fg" size="left">
	    <util:comment>fixed menu</util:comment>
            <frame:leftmenu name="fixed"/>
          </util:font></td></tr>

	  <util:comment>END LEFT SIDEBAR</util:comment>

        </table>
      </td>

      <td align="left" width="100%" bgcolor="<util:color name="content.bg"/>" class="content">
	<util:comment>BEGIN PAGE CONTENT</util:comment>
        <frame:content_here/>
  	<util:comment>END PAGE CONTENT</util:comment>
      </td>
    </tr>

    <tr valign="top">
      <td align="left" width="120" class="lbar" bgcolor="<util:color name="left.bg"/>">&nbsp;</td>
      <td align="left" width="100%" bgcolor="<util:color name="content.bg"/>" class="footer">
        <util:comment>PAGE FOOTER</util:comment>
	<hr width="80%" />
        <table align="center" border="0" cellpadding="0" cellspacing="6">
          <tr valign="top">
            <td align="right" class="footer">
              <util:font color="content.fg" size="1"><util:stock_message key="footer-text"/></util:font>
            </td>
            <td <frame:if_QID>rowspan="2"</frame:if_QID> align="left" class="footer"><frame:venice_logo/></td>
          </tr>
          <frame:if_QID>
	    <tr valign="top"><td align="right" class="footer">
	      <util:comment>HITCOUNTER FOR QID "<frame:QID/>"</util:comment>
	      <%-- Reserved for future use --%>
            </td></tr>
          </frame:if_QID>
        </table> 
      </td>
    </tr>

  </table>
</frame:body>
</html>
